Bug 1023237 - Remove unused variable 'filter_ctx'
Remove unused variable 'filter_ctx'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mod_nss (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1029665
  Show dependency treegraph
 
Reported: 2013-10-24 20:40 EDT by Matthew Harmsen
Modified: 2013-11-23 22:29 EST (History)
3 users (show)

See Also:
Fixed In Version: mod_nss-1.0.8-26.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029665 (view as bug list)
Environment:
Last Closed: 2013-11-23 22:29:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove unused variable (691 bytes, patch)
2013-11-12 17:56 EST, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Matthew Harmsen 2013-10-24 20:40:54 EDT
A static analysis scan of build mod_nss-1.0.8-24 yielded the following warning:

1. mod_nss-1.0.8/nss_engine_io.c:0:scope_hint – In function 'nss_AuthCertificate'
2. mod_nss-1.0.8/nss_engine_io.c:1357:25:warning – variable 'filter_ctx' set but not used [-Wunused-but-set-variable]
# nss_filter_ctx_t *filter_ctx;
# ^

This unused variable should be removed from the source code.
Comment 1 Matthew Harmsen 2013-11-12 17:56:34 EST
Created attachment 823162 [details]
Patch to remove unused variable
Comment 2 Fedora Update System 2013-11-12 18:53:57 EST
mod_nss-1.0.8-26.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-26.fc20
Comment 3 Fedora Update System 2013-11-13 22:35:07 EST
Package mod_nss-1.0.8-26.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_nss-1.0.8-26.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21277/mod_nss-1.0.8-26.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-23 22:29:55 EST
mod_nss-1.0.8-26.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.